org.apache.olingo.odata2.api.annotation.edm

## Enum EdmFunctionImport.HttpMethod

- java.lang.Object
- - java.lang.Enum<EdmFunctionImport.HttpMethod>
  - - org.apache.olingo.odata2.api.annotation.edm.EdmFunctionImport.HttpMethod

- All Implemented Interfaces:
    Serializable, Comparable<EdmFunctionImport.HttpMethod>
  Enclosing class:
    EdmFunctionImport

      public static enum EdmFunctionImport.HttpMethod
      extends Enum<EdmFunctionImport.HttpMethod>

  Concrete HttpMethods for a function import as specified in OData.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE`
    `GET`
    `MERGE`
    `PATCH`
    `POST`
    `PUT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdmFunctionImport.HttpMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EdmFunctionImport.HttpMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POST

          public static final EdmFunctionImport.HttpMethod POST

    - #### PUT

          public static final EdmFunctionImport.HttpMethod PUT

    - #### GET

          public static final EdmFunctionImport.HttpMethod GET

    - #### MERGE

          public static final EdmFunctionImport.HttpMethod MERGE

    - #### DELETE

          public static final EdmFunctionImport.HttpMethod DELETE

    - #### PATCH

          public static final EdmFunctionImport.HttpMethod PATCH

  - ### Method Detail

    - #### values

          public static EdmFunctionImport.HttpMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EdmFunctionImport.HttpMethod c : EdmFunctionImport.HttpMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EdmFunctionImport.HttpMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.